/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model.ec1;

import java.util.Date;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CollectionTable;
import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import de.jpainfo.model.Anrede;

@Entity
public class Kunde {

	@Id @GeneratedValue
	private Integer id;
	private String vorname;
	private String nachname;
	@Temporal(TemporalType.DATE)
	private Date geburtsdatum;
	private Anrede anrede;
	
	@ElementCollection
	//@CollectionTable(name = "kundenadressen")
	@CollectionTable(name = "kundenadressen", joinColumns = @JoinColumn(name = "kundenid"))
	private Set<Adresse> adressen;
	
		
	public Kunde() {
		adressen = new HashSet<Adresse>();
	}
	
	public Kunde(String vorname, String nachname, Date geburtsdatum, Anrede anrede) {
		this();
		this.vorname = vorname;
		this.nachname = nachname;
		this.geburtsdatum = geburtsdatum;
		this.anrede = anrede;
	}

	
	@Override
	public String toString() {
		return "Kunde [id=" + id + ", vorname=" + vorname + ", nachname="
				+ nachname + ", geburtsdatum=" + geburtsdatum + ", anrede="
				+ anrede + "]";
	}

	// Getter und Setter
	public Integer getId() {
		return id;
	}
	
	public String getVorname() {
		return vorname;
	}
	public void setVorname(String vorname) {
		this.vorname = vorname;
	}
	
	
	public String getNachname() {
		return nachname;
	}
	public void setNachname(String nachname) {
		this.nachname = nachname;
	}

	
	public Date getGeburtsdatum() {
		return geburtsdatum;
	}
	public void setGeburtsdatum(Date geburtsdatum) {
		this.geburtsdatum = geburtsdatum;
	}

	
	public Anrede getAnrede() {
		return anrede;
	}
	public void setAnrede(Anrede anrede) {
		this.anrede = anrede;
	}

	
	public Set<Adresse> getAdressen() {
		return adressen;
	}
	public void setAdressen(Set<Adresse> adressen) {
		this.adressen = adressen;
	}

}
