/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model.ec2;

import java.util.Date;

import java.util.HashMap;
import java.util.Map;

import javax.persistence.CollectionTable;
import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.MapKeyColumn;
import javax.persistence.MapKeyEnumerated;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import de.jpainfo.model.Anrede;

@Entity
public class Kunde {

	@Id @GeneratedValue
	private Integer id;
	private String vorname;
	private String nachname;
	@Temporal(TemporalType.DATE)
	private Date geburtsdatum;
	private Anrede anrede;
	
	@ElementCollection
	@CollectionTable(name = "kundentelefone", joinColumns = @JoinColumn(name = "kundenid"))
	@MapKeyEnumerated(EnumType.STRING)
	@MapKeyColumn(name = "MAP_KEY")
//	@AttributeOverrides(
//			{@AttributeOverride(name = "nummer", column = @Column(name = "TEL_NR")),
//			 @AttributeOverride(name = "art", column = @Column(name = "TEL_ART"))})
	private Map<Telefonart, Telefon> telefone;
	
	
	public Kunde() {
		telefone = new HashMap<Telefonart, Telefon>();
	}
	
	public Kunde(String vorname, String nachname, Date geburtsdatum, Anrede anrede) {
		this();
		this.vorname = vorname;
		this.nachname = nachname;
		this.geburtsdatum = geburtsdatum;
		this.anrede = anrede;
	}

	
	@Override
	public String toString() {
		return "Kunde [id=" + id + ", vorname=" + vorname + ", nachname="
				+ nachname + ", geburtsdatum=" + geburtsdatum + ", anrede="
				+ anrede + "]";
	}

	// Getter und Setter
	public Integer getId() {
		return id;
	}
	
	public String getVorname() {
		return vorname;
	}
	public void setVorname(String vorname) {
		this.vorname = vorname;
	}
	
	
	public String getNachname() {
		return nachname;
	}
	public void setNachname(String nachname) {
		this.nachname = nachname;
	}

	
	public Date getGeburtsdatum() {
		return geburtsdatum;
	}
	public void setGeburtsdatum(Date geburtsdatum) {
		this.geburtsdatum = geburtsdatum;
	}

	
	public Anrede getAnrede() {
		return anrede;
	}
	public void setAnrede(Anrede anrede) {
		this.anrede = anrede;
	}

	
	public Map<Telefonart, Telefon> getTelefone() {
		return telefone;
	}
	public void setTelefone(Map<Telefonart, Telefon> telefone) {
		this.telefone = telefone;
	}



}
