package de.jpainfo.model.ec3;

import java.math.BigDecimal;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CollectionTable;
import javax.persistence.Column;
import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OrderColumn;

@Entity
public class Konto {
	
	@Id @GeneratedValue
	private Integer kontonummer;
	@Column(precision = 10, scale = 2)
	private BigDecimal kontostand;
	
	
	@ElementCollection
	@OrderColumn(name = "reihenfolge")
	//@OrderBy
	@Column(name = "tan", length = 6)
	@CollectionTable(name = "tans", joinColumns = @JoinColumn(name = "kontoid"))
	private List<String> tans;
	
	
	public Konto() {
		kontostand = BigDecimal.ZERO.setScale(2);
		tans = new ArrayList<String>();
		//tans = new HashSet<String>();
	}
	
	public Integer getKontonummer() {
		return kontonummer;
	}

	
	public BigDecimal getKontostand() {
		return kontostand;
	}
	public void setKontostand(BigDecimal kontostand) {
		this.kontostand = kontostand;
	}

	
//	public Set<String> getTans() {
//		return tans;
//	}
//	public void setTans(Set<String> tans) {
//		this.tans = tans;
//	}

	
	public List<String> getTans() {
		return tans;
	}
	public void setTans(List<String> tans) {
		this.tans = tans;
	}

	
}
