package de.jpainfo.model.ec4;

import java.text.DateFormat;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import javax.persistence.CollectionTable;
import javax.persistence.ElementCollection;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.MapKeyJoinColumn;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import de.jpainfo.model.Anrede;

@Entity
public class Kunde {
	
	private static final DateFormat format = new SimpleDateFormat("dd.MM.yyyy");
	
	@Id @GeneratedValue
	private Integer id;
	private String vorname;
	private String nachname;
	@Temporal(TemporalType.DATE)
	private Date geburtsdatum;
	private Anrede anrede;
	
//	@ElementCollection
//	@Column(name = "zinssatz", length = 4, scale = 2)
//	private Map<Konto, BigDecimal> zinssaetze;
	
	
	@ElementCollection
	@CollectionTable(name = "verfuegung", joinColumns = @JoinColumn(name = "kunde"))
	@MapKeyJoinColumn(name = "konto")
	private Map<Konto, VonBis> verfuegungen;
	
	
	public Kunde() {
		//zinssaetze = new HashMap<Konto, BigDecimal>();
		verfuegungen = new HashMap<Konto, VonBis>();
	}
	
	
	public Kunde(String vorname, String nachname, String geburtsdatum, Anrede anrede) {
		this();
		this.vorname = vorname;
		this.nachname = nachname;
		this.anrede = anrede;
		try {
			this.geburtsdatum = format.parse(geburtsdatum);
		} catch (ParseException e) {
			throw new IllegalArgumentException("Falsches Datumsformat");
		}
	}
	
	
	public Set<Konto> getKonten() {
		return verfuegungen.keySet();
	}
	
	// Getter und Setter
	public Integer getId() {
		return id;
	}
	
	
	public String getVorname() {
		return vorname;
	}
	public void setVorname(String vorname) {
		this.vorname = vorname;
	}

	
	public String getNachname() {
		return nachname;
	}
	public void setNachname(String nachname) {
		this.nachname = nachname;
	}

	
	public Date getGeburtsdatum() {
		return geburtsdatum;
	}
	public void setGeburtsdatum(Date geburtsdatum) {
		this.geburtsdatum = geburtsdatum;
	}

	
	public Anrede getAnrede() {
		return anrede;
	}
	public void setAnrede(Anrede anrede) {
		this.anrede = anrede;
	}


//	public Map<Konto, BigDecimal> getZinssaetze() {
//		return zinssaetze;
//	}
//	public void setZinssaetze(Map<Konto, BigDecimal> zinssaetze) {
//		this.zinssaetze = zinssaetze;
//	}


	public Map<Konto, VonBis> getVerfuegungen() {
		return verfuegungen;
	}
	public void setVerfuegungen(Map<Konto, VonBis> verfuegungen) {
		this.verfuegungen = verfuegungen;
	}
	
	
}
