/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Anrede;
import de.jpainfo.model.ec1.Adresse;
import de.jpainfo.model.ec1.Kunde;


public class TestElementCollection {
	
	private static final DateFormat format = new SimpleDateFormat("dd.MM.yyyy");

	public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		Kunde kunde = new Kunde("Max", "Mustermann", format.parse("29.7.1962"), Anrede.HERR);
		kunde.getAdressen().add(new Adresse("Goethestraße", "17 a", "12345", "Berlin"));
		kunde.getAdressen().add(new Adresse("Schillerstraße", "321", "12345", "Berlin"));
		em.persist(kunde);
		Integer id = kunde.getId();
		kunde = em.find(Kunde.class, id);
		System.out.println("Kunde " + kunde + " hat " + kunde.getAdressen().size() + " Adressen");
		em.getTransaction().commit();
		
		

		em.clear();
		emf.close();
	}
}
