/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.util.Set;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Anrede;
import de.jpainfo.model.ec4.Konto;
import de.jpainfo.model.ec4.Kunde;
import de.jpainfo.model.ec4.VonBis;



public class TestElementCollectionMapEntity {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("hibernate");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank", DB.postgresql);
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		Kunde kunde1 = new Kunde("Max", "Mustermann", "29.7.1962", Anrede.HERR);
		Kunde kunde2 = new Kunde("Lisa", "Meier", "14.4.1967", Anrede.FRAU);
		em.persist(kunde1);
		em.persist(kunde2);
		Konto konto1a = new Konto();  
		Konto konto1b = new Konto();  
		Konto konto2a = new Konto();  
		Konto konto2b = new Konto();  
		em.persist(konto1a);
		em.persist(konto1b);
		em.persist(konto2a);
		em.persist(konto2b);
//		kunde1.getZinssaetze().put(konto1a, new BigDecimal("1.5").setScale(2));
//		kunde1.getZinssaetze().put(konto1b, new BigDecimal("1.75").setScale(2));
//		kunde1.getZinssaetze().put(konto1b, new BigDecimal("5").setScale(2));
		
		kunde1.getVerfuegungen().put(konto1a, new VonBis());
		kunde1.getVerfuegungen().put(konto1b, new VonBis());
		kunde1.getVerfuegungen().put(konto1a, new VonBis());
		Set<Konto> konten = kunde1.getKonten();
		for (Konto konto : konten) {
			System.out.println("Konto: " + konto);
		}
		em.getTransaction().commit();
		
		
		em.clear();
		emf.close();
	}
}
