/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.text.DateFormat;
import java.text.SimpleDateFormat;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Anrede;
import de.jpainfo.model.serializable.Adresse;
import de.jpainfo.model.serializable.KundeAdresse;
import de.jpainfo.model.serializable.KundeAdressen;


public class TestSerializable {
	
	private static final DateFormat format = new SimpleDateFormat("dd.MM.yyyy");

	public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		// mit einer Adresse
		em.getTransaction().begin();
		KundeAdresse kunde = new KundeAdresse("Max", "Mustermann", format.parse("29.7.1962"), Anrede.HERR);
		Adresse adresse = new Adresse("Goethestraße", "17 a", "12345", "Berlin");
		kunde.setAdresse(adresse);
		//kunde.getAdressen().add(adresse);
		em.persist(kunde);
		Integer id = kunde.getId();
		kunde = em.find(KundeAdresse.class, id);
		System.out.println("Kunde " + kunde + " wohnt in " + kunde.getAdresse());
		em.getTransaction().commit();
		

		// mit zwei Adressen
		em.getTransaction().begin();
		KundeAdressen kunde2 = new KundeAdressen("Lisa", "Musterfrau", format.parse("12.6.1965"), Anrede.FRAU);
		kunde2.getAdressen().add(new Adresse("Goethestraße", "17 a", "12345", "Berlin"));
		kunde2.getAdressen().add(new Adresse("Schillerstraße", "321", "12345", "Berlin"));
		em.persist(kunde2);
		Integer id2 = kunde2.getId();
		kunde2 = em.find(KundeAdressen.class, id2);
		System.out.println("Kunde " + kunde2 + " hat " + kunde2.getAdressen().size() + " Adressen");
		em.getTransaction().commit();
		

		
		em.clear();
		emf.close();
	}
}
